# $Revision: 1.45 $, $Date: 2008/07/27 22:37:27 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# it doesn't like environment set by our automatics
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	I18N
%define		pnam	LangTags
Summary:	I18N::LangTags Perl module - dealing with RFC3066-style language tags
Summary(pl.UTF-8):	Moduł Perla I18N::LangTags - obsługa oznaczeń języków w stylu RFC3066
Name:		perl-I18N-LangTags
Version:	0.35
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	baa1e87e8559f488997081a7cb837f66
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
I18N::LangTags - functions for dealing with RFC3066-style language
tags.

%description -l pl.UTF-8
I18N::LangTags - funkcje do operowania na oznaczeniach języków
zgodnych z RFC3066.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/I18N/LangTags.pm
%{perl_vendorlib}/I18N/LangTags
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-I18N-LangTags.spec,v $
Revision 1.45  2008/07/27 22:37:27  arekm
- release 2

Revision 1.44  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.42  2004/12/01 13:02:02  radek
- autoupdated to 0.35

Revision 1.41  2004/11/03 22:30:26  paladine
- formatting

Revision 1.40  2004/08/08 18:37:59  adamg
- updated to 0.33

Revision 1.39  2004/05/23 22:00:00  ankry
- tests disabled

Revision 1.38  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.37  2004/04/22 12:52:33  ankry
- license fixes & unification

Revision 1.36  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.35  2004/04/04 20:03:46  adamg
- updated to 0.30

Revision 1.34  2003/11/01 01:51:39  qboosh
- updated to 1.29, added tests and informative summaries

Revision 1.33  2003/09/15 11:43:28  adamg
- updated to 0.28

Revision 1.32  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:42  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:33:27  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.23  2002/07/11 08:00:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:27:21  depesz
adapterized

Revision 1.16  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/06/24 20:13:34  mis
- autoupdated to 0.26

Revision 1.14  2001/06/06 16:25:32  mis
- autoupdated to 0.23

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:10:52  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/15 10:35:05  mis
- updated (by autoup) to 0.20

Revision 1.9  2001/01/08 22:02:32  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/09/05 01:03:44  kloczek
- updated to 0.13.

Revision 1.7  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:14  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
